<?php
/*
Plugin Name: automatic chart for visual composer
Text Domain: acvc_ws
Domain Path: /languages
Plugin URI:  https://codecanyon.net/item/automatic-chart-for-visual-composer/19779889
Description: automatic chart for visual composer 
Version:     1.1.2
Author:      wide soft
Author URI:  http://codecanyon.net/user/widesoft
*/
 
 if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
 
////////////////////////////


if (!defined('ACVC_WS_DIR_ADDRESS')){
	define('ACVC_WS_DIR_ADDRESS', dirname(__file__)); //string 'C:\wamp2\www\wp-content\plugins\visual-composer-automatic-chart' (length=63)
	define('ACVC_WS_BASE_URL', plugins_url('', __FILE__)); //string 'http://localhost/wp-content/plugins/visual-composer-automatic-chart' (length=67)
	define('ACVC_WS_BASE_URL2', plugin_dir_url(__FILE__)); //string 'http://localhost/wp-content/plugins/visual-composer-automatic-chart/' (length=68)
	define('ACVC_WS_INCLUDE_DIR', ACVC_WS_DIR_ADDRESS.'/include');
	define('ACVC_WS_LOADING_ICON', ACVC_WS_BASE_URL.'/assets/images/refresh.png');
	define('ACVC_WS_LOADING_ICON_BACKEND', ACVC_WS_BASE_URL.'/assets/images/refresh_backend.png');
	define('ACVC_WS_CHECK_SIGN_PATH', ACVC_WS_BASE_URL.'/assets/images/check_sign.png');
	define('ACVC_WS_X_SIGN_PATH', ACVC_WS_BASE_URL.'/assets/images/x_sign.png');
	define('ACVC_WS_PLACEHOLDER_SQUARE', ACVC_WS_BASE_URL.'/assets/images/placeholder_square.jpg');
}




//include all php file inside include directory 
$acvc_ws_include_directories = new RecursiveDirectoryIterator(ACVC_WS_INCLUDE_DIR);
$acvc_ws_Iterator = new RecursiveIteratorIterator($acvc_ws_include_directories);
$acvc_ws_Regex = new RegexIterator($acvc_ws_Iterator, '/^.+\.php$/i', RecursiveRegexIterator::GET_MATCH);
foreach ($acvc_ws_Regex as $file_and_path) {
	include_once ($file_and_path[0]);
}
/* now all php functions are ready to use. */
acvc_ws_boot('start.php','acvc_ws_initialization','start.php','create_acvc_ws_item_in_admin_menu','');
acvc_ws_boot('start.php','acvc_ws_initialization','start.php','add_style_and_script','');
acvc_ws_boot('start.php','acvc_ws_initialization','start.php','integrate_with_vc','');
acvc_ws_boot('start.php','acvc_ws_initialization','start.php','render_the_shortcode','');


// Register Custom Post Type
function acvc_ws_register_postliststyles_cpt() {

	$labels = array(
		'name'                  => _x( 'postliststyles', 'Post Type General Name', 'acvc_ws' ),
		'singular_name'         => _x( 'postliststyles', 'Post Type Singular Name', 'acvc_ws' ),
		'menu_name'             => __( 'postliststyles', 'acvc_ws' ),
		'name_admin_bar'        => __( 'postliststyle', 'acvc_ws' ),
		'archives'              => __( 'Item Archives', 'acvc_ws' ),
		'attributes'            => __( 'Item Attributes', 'acvc_ws' ),
		'parent_item_colon'     => __( 'Parent Item:', 'acvc_ws' ),
		'all_items'             => __( 'All Items', 'acvc_ws' ),
		'add_new_item'          => __( 'Add New Item', 'acvc_ws' ),
		'add_new'               => __( 'Add New', 'acvc_ws' ),
		'new_item'              => __( 'New Item', 'acvc_ws' ),
		'edit_item'             => __( 'Edit Item', 'acvc_ws' ),
		'update_item'           => __( 'Update Item', 'acvc_ws' ),
		'view_item'             => __( 'View Item', 'acvc_ws' ),
		'view_items'            => __( 'View Items', 'acvc_ws' ),
		'search_items'          => __( 'Search Item', 'acvc_ws' ),
		'not_found'             => __( 'Not found', 'acvc_ws' ),
		'not_found_in_trash'    => __( 'Not found in Trash', 'acvc_ws' ),
		'featured_image'        => __( 'Featured Image', 'acvc_ws' ),
		'set_featured_image'    => __( 'Set featured image', 'acvc_ws' ),
		'remove_featured_image' => __( 'Remove featured image', 'acvc_ws' ),
		'use_featured_image'    => __( 'Use as featured image', 'acvc_ws' ),
		'insert_into_item'      => __( 'Insert into item', 'acvc_ws' ),
		'uploaded_to_this_item' => __( 'Uploaded to this item', 'acvc_ws' ),
		'items_list'            => __( 'Items list', 'acvc_ws' ),
		'items_list_navigation' => __( 'Items list navigation', 'acvc_ws' ),
		'filter_items_list'     => __( 'Filter items list', 'acvc_ws' ),
	);
	$args = array(
		'label'                 => __( 'postliststyles', 'acvc_ws' ),
		'description'           => __( 'Post Type Description', 'acvc_ws' ),
		'labels'                => $labels,
		'supports'              => array( ),
		'taxonomies'            => array( 'category', 'post_tag' ),
		'hierarchical'          => false,
		'public'                => true,
		'show_ui'               => false,
		'show_in_menu'          => false,
		'menu_position'         => 5,
		'show_in_admin_bar'     => false,
		'show_in_nav_menus'     => false,
		'can_export'            => true,
		'has_archive'           => true,		
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
	);
	register_post_type( 'postliststyles_cpt', $args );

}
add_action( 'init', 'acvc_ws_register_postliststyles_cpt', 0 );


if ( ! function_exists( 'acvc_ws_class_on_plugin_activated' ) ) {
 function acvc_ws_class_on_plugin_activated(){
	 
	 ob_start();//prevent unexpected output on activation
	 
	 $args = array (
			'orderby' => 'ID',
			'posts_per_page'   => -1,
			'post_type'              => array( 'postliststyles_cpt' ),
			'meta_query'	=> array(
				'relation'		=> 'AND',
				array(
					'key'	  	=> 'acvc_ws_is_default',
					'value'	  	=> 'yes',
					'compare' 	=> '=',
				),
			),
		);
		$postliststyles_screens_query = new WP_Query( $args );
		$posts=$postliststyles_screens_query->posts;
		if(!empty($posts)){
			foreach($posts as $post){
				//$post->ID
			}
		}else{
			$post_object = array(
				  'post_title'    => 'default post list style',
				  'post_content'  => 'default post list style ',
				  'post_status'   => 'publish',
				  'post_type'   => 'postliststyles_cpt',
				);
			$postliststyle_post_id = wp_insert_post( $post_object );
			
			$data='{"type_of_ajax_request":"save_botton_in_postliststyles_screen_clicked","acvc_ws_object_all_setting_for_fields_not_lightbox_fields":{"this_postliststyle_title_name":"default post list style","all_element_setting_instance2242_lightbox_width_px":"70%","all_element_setting_instance2242_lightbox_height_px":"auto","all_element_setting_instance2242_lightbox_background_color":"#ffffff","all_element_setting_instance2242_columns_number_desktop":"5","all_element_setting_instance2242_columns_number_laptop":"4","all_element_setting_instance2242_columns_number_tablet":"3","all_element_setting_instance2242_columns_number_mobile":"2","all_element_setting_instance2242_columns_gab_desktop":"2","all_element_setting_instance2242_columns_gab_laptop":"3","all_element_setting_instance2242_columns_gab_tablet":"4","all_element_setting_instance2242_columns_gab_mobile":"5","all_element_setting_instance2242_post_per_page":"20","all_element_setting_instance2242_max_visible_pagination_button":"5","all_element_setting_instance2242_pagination_next_sign":"»","all_element_setting_instance2242_pagination_prev_sign":"«","all_element_setting_instance2242_pagination_first_button":"first","all_element_setting_instance2242_pagination_last_button":"last"},"post_list_content_for_list_items_2242":{"id1492197808752":{"group_name":"post_list_section","element_type":"dynamic","dimension_gruop":"basic","dimension_name":"featured_image","element_visible_text":"featured_image"},"id1492197814361":{"group_name":"post_list_section","element_type":"dynamic","dimension_gruop":"basic","dimension_name":"post_title","element_visible_text":"post_title"},"id1492197891021":{"group_name":"post_list_section","element_type":"static","dimension_gruop":"custom_text","dimension_name":"custom_text","element_visible_text":"by: "},"id1492197949535":{"group_name":"post_list_section","element_type":"dynamic","dimension_gruop":"basic","dimension_name":"post_author","element_visible_text":"post_author"},"id1492198024022":{"group_name":"post_list_section","element_type":"dynamic","dimension_gruop":"basic","dimension_name":"post_date","element_visible_text":"post_date"},"id1492198071202":{"group_name":"post_list_section","element_type":"dynamic","dimension_gruop":"taxo","dimension_name":"category","element_visible_text":"Categories"}},"acvc_ws_object_all_style_stting_container":{"general":{"post_list_sortable_main_continer":{"all_element_setting_instance2242_custom_content_custom_text":"","all_element_setting_instance2242_custom_content_delimiter":"","all_element_setting_instance2242_date_format":"","all_element_setting_instance2242_featured_image_size":"not_selected","all_element_setting_instance2242_link_this_element":null,"all_element_setting_instance2242_link_this_element_target":null,"all_element_setting_instance2242_term_separator":"","all_element_setting_instance2242_term_link_target":null,"all_element_setting_instance2242_background_color":"#c3e4f4","all_element_setting_instance2242_font_size":"13px","all_element_setting_instance2242_font_color":"#020202","all_element_setting_instance2242_font_name":"arial","all_element_setting_instance2242_font_bold":"true","all_element_setting_instance2242_font_italic":"false","all_element_setting_instance2242_width_px":"","all_element_setting_instance2242_height_px":"230px","all_element_setting_instance2242_max_width_px":"","all_element_setting_instance2242_max_height_px":"","all_element_setting_instance2242_min_width_px":"","all_element_setting_instance2242_min_height_px":"230px","all_element_setting_instance2242_text_align":"center","all_element_setting_instance2242_float":"left","all_element_setting_instance2242_direction":"ltr","all_element_setting_instance2242_display_block":"block","all_element_setting_instance2242_overflow_x":"not_selected","all_element_setting_instance2242_overflow_y":"not_selected","all_element_setting_instance2242_word_break":"not_selected","all_element_setting_instance2242_word_wrap":"not_selected","all_element_setting_instance2242_letter_spacing":"","all_element_setting_instance2242_word_spacing":"","all_element_setting_instance2242_z_index":"","all_element_setting_instance2242_vertical_align":"middel","all_element_setting_instance2242_margin_top":"10px","all_element_setting_instance2242_margin_bottom":"","all_element_setting_instance2242_margin_left":"","all_element_setting_instance2242_margin_right":"","all_element_setting_instance2242_padding_top":"6px","all_element_setting_instance2242_padding_bottom":"6px","all_element_setting_instance2242_padding_left":"6px","all_element_setting_instance2242_padding_right":"6px","all_element_setting_instance2242_border_enable":"true","all_element_setting_instance2242_border_type":"solid","all_element_setting_instance2242_border_width":"1px","all_element_setting_instance2242_border_color":"#7f7f7f","all_element_setting_instance2242_border_top_enable":"false","all_element_setting_instance2242_border_top_type":"solid","all_element_setting_instance2242_border_top_width":"2px","all_element_setting_instance2242_border_top_color":"#8224e3","all_element_setting_instance2242_border_bottom_enable":"false","all_element_setting_instance2242_border_bottom_type":"solid","all_element_setting_instance2242_border_bottom_width":"2px","all_element_setting_instance2242_border_bottom_color":"#8224e3","all_element_setting_instance2242_border_left_enable":"false","all_element_setting_instance2242_border_left_type":"solid","all_element_setting_instance2242_border_left_width":"2px","all_element_setting_instance2242_border_left_color":"#8224e3","all_element_setting_instance2242_border_right_enable":"false","all_element_setting_instance2242_border_right_type":"solid","all_element_setting_instance2242_border_right_width":"2px","all_element_setting_instance2242_border_right_color":"#8224e3","all_element_setting_instance2242_border_top_left_radius":"2px","all_element_setting_instance2242_border_top_right_radius":"2px","all_element_setting_instance2242_border_bottom_right_radius":"2px","all_element_setting_instance2242_border_bottom_left_radius":"2px","all_element_setting_instance2242_text_shadow_enable":"false","all_element_setting_instance2242_text_shadow_h_shadow":"3px","all_element_setting_instance2242_text_shadow_v_shadow":"3px","all_element_setting_instance2242_text_shadow_blur":"7px","all_element_setting_instance2242_text_shadow_color":"#7f7f7f","all_element_setting_instance2242_box_shadow_enable":"false","all_element_setting_instance2242_box_shadow_h_shadow":"3px","all_element_setting_instance2242_box_shadow_v_shadow":"3px","all_element_setting_instance2242_box_shadow_blur":"3px","all_element_setting_instance2242_box_shadow_spread":"3px","all_element_setting_instance2242_box_shadow_color":"#7f7f7f","all_element_setting_instance2242_box_shadow_direction":"outset"}},"post_list_section":{"id1492197808752":{"all_element_setting_instance2242_custom_content_custom_text":"","all_element_setting_instance2242_custom_content_delimiter":"","all_element_setting_instance2242_date_format":"","all_element_setting_instance2242_featured_image_size":"thumbnail","all_element_setting_instance2242_link_this_element":"no","all_element_setting_instance2242_link_this_element_target":"_blank","all_element_setting_instance2242_term_separator":"","all_element_setting_instance2242_term_link_target":null,"all_element_setting_instance2242_background_color":"#f2f2f2","all_element_setting_instance2242_font_size":"13px","all_element_setting_instance2242_font_color":"#020202","all_element_setting_instance2242_font_name":"arial","all_element_setting_instance2242_font_bold":"true","all_element_setting_instance2242_font_italic":"false","all_element_setting_instance2242_width_px":"100%","all_element_setting_instance2242_height_px":"","all_element_setting_instance2242_max_width_px":"","all_element_setting_instance2242_max_height_px":"","all_element_setting_instance2242_min_width_px":"","all_element_setting_instance2242_min_height_px":"","all_element_setting_instance2242_text_align":"center","all_element_setting_instance2242_float":"left","all_element_setting_instance2242_direction":"ltr","all_element_setting_instance2242_display_block":"block","all_element_setting_instance2242_overflow_x":"not_selected","all_element_setting_instance2242_overflow_y":"not_selected","all_element_setting_instance2242_word_break":"not_selected","all_element_setting_instance2242_word_wrap":"not_selected","all_element_setting_instance2242_letter_spacing":"","all_element_setting_instance2242_word_spacing":"","all_element_setting_instance2242_z_index":"","all_element_setting_instance2242_vertical_align":"middel","all_element_setting_instance2242_margin_top":"1px","all_element_setting_instance2242_margin_bottom":"1px","all_element_setting_instance2242_margin_left":"1px","all_element_setting_instance2242_margin_right":"1px","all_element_setting_instance2242_padding_top":"","all_element_setting_instance2242_padding_bottom":"","all_element_setting_instance2242_padding_left":"","all_element_setting_instance2242_padding_right":"","all_element_setting_instance2242_border_enable":"false","all_element_setting_instance2242_border_type":"solid","all_element_setting_instance2242_border_width":"1px","all_element_setting_instance2242_border_color":"#7f7f7f","all_element_setting_instance2242_border_top_enable":"false","all_element_setting_instance2242_border_top_type":"solid","all_element_setting_instance2242_border_top_width":"2px","all_element_setting_instance2242_border_top_color":"#8224e3","all_element_setting_instance2242_border_bottom_enable":"false","all_element_setting_instance2242_border_bottom_type":"solid","all_element_setting_instance2242_border_bottom_width":"2px","all_element_setting_instance2242_border_bottom_color":"#8224e3","all_element_setting_instance2242_border_left_enable":"false","all_element_setting_instance2242_border_left_type":"solid","all_element_setting_instance2242_border_left_width":"2px","all_element_setting_instance2242_border_left_color":"#8224e3","all_element_setting_instance2242_border_right_enable":"false","all_element_setting_instance2242_border_right_type":"solid","all_element_setting_instance2242_border_right_width":"2px","all_element_setting_instance2242_border_right_color":"#8224e3","all_element_setting_instance2242_border_top_left_radius":"2px","all_element_setting_instance2242_border_top_right_radius":"2px","all_element_setting_instance2242_border_bottom_right_radius":"2px","all_element_setting_instance2242_border_bottom_left_radius":"2px","all_element_setting_instance2242_text_shadow_enable":"false","all_element_setting_instance2242_text_shadow_h_shadow":"3px","all_element_setting_instance2242_text_shadow_v_shadow":"3px","all_element_setting_instance2242_text_shadow_blur":"7px","all_element_setting_instance2242_text_shadow_color":"#7f7f7f","all_element_setting_instance2242_box_shadow_enable":"false","all_element_setting_instance2242_box_shadow_h_shadow":"3px","all_element_setting_instance2242_box_shadow_v_shadow":"3px","all_element_setting_instance2242_box_shadow_blur":"3px","all_element_setting_instance2242_box_shadow_spread":"3px","all_element_setting_instance2242_box_shadow_color":"#7f7f7f","all_element_setting_instance2242_box_shadow_direction":"outset"},"id1492197814361":{"all_element_setting_instance2242_custom_content_custom_text":"","all_element_setting_instance2242_custom_content_delimiter":"","all_element_setting_instance2242_date_format":"","all_element_setting_instance2242_featured_image_size":"not_selected","all_element_setting_instance2242_link_this_element":"yes","all_element_setting_instance2242_link_this_element_target":"_blank","all_element_setting_instance2242_term_separator":"","all_element_setting_instance2242_term_link_target":null,"all_element_setting_instance2242_background_color":"","all_element_setting_instance2242_font_size":"14px","all_element_setting_instance2242_font_color":"#002c84","all_element_setting_instance2242_font_name":"arial","all_element_setting_instance2242_font_bold":"true","all_element_setting_instance2242_font_italic":"false","all_element_setting_instance2242_width_px":"100%","all_element_setting_instance2242_height_px":"","all_element_setting_instance2242_max_width_px":"","all_element_setting_instance2242_max_height_px":"","all_element_setting_instance2242_min_width_px":"","all_element_setting_instance2242_min_height_px":"","all_element_setting_instance2242_text_align":"center","all_element_setting_instance2242_float":"left","all_element_setting_instance2242_direction":"ltr","all_element_setting_instance2242_display_block":"block","all_element_setting_instance2242_overflow_x":"not_selected","all_element_setting_instance2242_overflow_y":"not_selected","all_element_setting_instance2242_word_break":"not_selected","all_element_setting_instance2242_word_wrap":"not_selected","all_element_setting_instance2242_letter_spacing":"","all_element_setting_instance2242_word_spacing":"","all_element_setting_instance2242_z_index":"","all_element_setting_instance2242_vertical_align":"middel","all_element_setting_instance2242_margin_top":"1px","all_element_setting_instance2242_margin_bottom":"1px","all_element_setting_instance2242_margin_left":"1px","all_element_setting_instance2242_margin_right":"1px","all_element_setting_instance2242_padding_top":"","all_element_setting_instance2242_padding_bottom":"","all_element_setting_instance2242_padding_left":"","all_element_setting_instance2242_padding_right":"","all_element_setting_instance2242_border_enable":"false","all_element_setting_instance2242_border_type":"solid","all_element_setting_instance2242_border_width":"1px","all_element_setting_instance2242_border_color":"#7f7f7f","all_element_setting_instance2242_border_top_enable":"false","all_element_setting_instance2242_border_top_type":"solid","all_element_setting_instance2242_border_top_width":"2px","all_element_setting_instance2242_border_top_color":"#8224e3","all_element_setting_instance2242_border_bottom_enable":"false","all_element_setting_instance2242_border_bottom_type":"solid","all_element_setting_instance2242_border_bottom_width":"2px","all_element_setting_instance2242_border_bottom_color":"#8224e3","all_element_setting_instance2242_border_left_enable":"false","all_element_setting_instance2242_border_left_type":"solid","all_element_setting_instance2242_border_left_width":"2px","all_element_setting_instance2242_border_left_color":"#8224e3","all_element_setting_instance2242_border_right_enable":"false","all_element_setting_instance2242_border_right_type":"solid","all_element_setting_instance2242_border_right_width":"2px","all_element_setting_instance2242_border_right_color":"#8224e3","all_element_setting_instance2242_border_top_left_radius":"2px","all_element_setting_instance2242_border_top_right_radius":"2px","all_element_setting_instance2242_border_bottom_right_radius":"2px","all_element_setting_instance2242_border_bottom_left_radius":"2px","all_element_setting_instance2242_text_shadow_enable":"false","all_element_setting_instance2242_text_shadow_h_shadow":"3px","all_element_setting_instance2242_text_shadow_v_shadow":"3px","all_element_setting_instance2242_text_shadow_blur":"7px","all_element_setting_instance2242_text_shadow_color":"#7f7f7f","all_element_setting_instance2242_box_shadow_enable":"false","all_element_setting_instance2242_box_shadow_h_shadow":"3px","all_element_setting_instance2242_box_shadow_v_shadow":"3px","all_element_setting_instance2242_box_shadow_blur":"3px","all_element_setting_instance2242_box_shadow_spread":"3px","all_element_setting_instance2242_box_shadow_color":"#7f7f7f","all_element_setting_instance2242_box_shadow_direction":"outset"},"id1492197891021":{"all_element_setting_instance2242_custom_content_custom_text":"by: ","all_element_setting_instance2242_custom_content_delimiter":"","all_element_setting_instance2242_date_format":"","all_element_setting_instance2242_featured_image_size":"not_selected","all_element_setting_instance2242_link_this_element":null,"all_element_setting_instance2242_link_this_element_target":null,"all_element_setting_instance2242_term_separator":"","all_element_setting_instance2242_term_link_target":null,"all_element_setting_instance2242_background_color":"","all_element_setting_instance2242_font_size":"10px","all_element_setting_instance2242_font_color":"#020202","all_element_setting_instance2242_font_name":"arial","all_element_setting_instance2242_font_bold":"true","all_element_setting_instance2242_font_italic":"false","all_element_setting_instance2242_width_px":"auto","all_element_setting_instance2242_height_px":"","all_element_setting_instance2242_max_width_px":"","all_element_setting_instance2242_max_height_px":"","all_element_setting_instance2242_min_width_px":"","all_element_setting_instance2242_min_height_px":"","all_element_setting_instance2242_text_align":"center","all_element_setting_instance2242_float":"left","all_element_setting_instance2242_direction":"ltr","all_element_setting_instance2242_display_block":"block","all_element_setting_instance2242_overflow_x":"not_selected","all_element_setting_instance2242_overflow_y":"not_selected","all_element_setting_instance2242_word_break":"not_selected","all_element_setting_instance2242_word_wrap":"not_selected","all_element_setting_instance2242_letter_spacing":"","all_element_setting_instance2242_word_spacing":"","all_element_setting_instance2242_z_index":"","all_element_setting_instance2242_vertical_align":"middel","all_element_setting_instance2242_margin_top":"1px","all_element_setting_instance2242_margin_bottom":"1px","all_element_setting_instance2242_margin_left":"1px","all_element_setting_instance2242_margin_right":"1px","all_element_setting_instance2242_padding_top":"","all_element_setting_instance2242_padding_bottom":"","all_element_setting_instance2242_padding_left":"","all_element_setting_instance2242_padding_right":"","all_element_setting_instance2242_border_enable":"false","all_element_setting_instance2242_border_type":"solid","all_element_setting_instance2242_border_width":"1px","all_element_setting_instance2242_border_color":"#7f7f7f","all_element_setting_instance2242_border_top_enable":"false","all_element_setting_instance2242_border_top_type":"solid","all_element_setting_instance2242_border_top_width":"2px","all_element_setting_instance2242_border_top_color":"#8224e3","all_element_setting_instance2242_border_bottom_enable":"false","all_element_setting_instance2242_border_bottom_type":"solid","all_element_setting_instance2242_border_bottom_width":"2px","all_element_setting_instance2242_border_bottom_color":"#8224e3","all_element_setting_instance2242_border_left_enable":"false","all_element_setting_instance2242_border_left_type":"solid","all_element_setting_instance2242_border_left_width":"2px","all_element_setting_instance2242_border_left_color":"#8224e3","all_element_setting_instance2242_border_right_enable":"false","all_element_setting_instance2242_border_right_type":"solid","all_element_setting_instance2242_border_right_width":"2px","all_element_setting_instance2242_border_right_color":"#8224e3","all_element_setting_instance2242_border_top_left_radius":"2px","all_element_setting_instance2242_border_top_right_radius":"2px","all_element_setting_instance2242_border_bottom_right_radius":"2px","all_element_setting_instance2242_border_bottom_left_radius":"2px","all_element_setting_instance2242_text_shadow_enable":"false","all_element_setting_instance2242_text_shadow_h_shadow":"3px","all_element_setting_instance2242_text_shadow_v_shadow":"3px","all_element_setting_instance2242_text_shadow_blur":"7px","all_element_setting_instance2242_text_shadow_color":"#7f7f7f","all_element_setting_instance2242_box_shadow_enable":"false","all_element_setting_instance2242_box_shadow_h_shadow":"3px","all_element_setting_instance2242_box_shadow_v_shadow":"3px","all_element_setting_instance2242_box_shadow_blur":"3px","all_element_setting_instance2242_box_shadow_spread":"3px","all_element_setting_instance2242_box_shadow_color":"#7f7f7f","all_element_setting_instance2242_box_shadow_direction":"outset"},"id1492197949535":{"all_element_setting_instance2242_custom_content_custom_text":"","all_element_setting_instance2242_custom_content_delimiter":"","all_element_setting_instance2242_date_format":"","all_element_setting_instance2242_featured_image_size":"not_selected","all_element_setting_instance2242_link_this_element":"no","all_element_setting_instance2242_link_this_element_target":"_blank","all_element_setting_instance2242_term_separator":"","all_element_setting_instance2242_term_link_target":null,"all_element_setting_instance2242_background_color":"","all_element_setting_instance2242_font_size":"10px","all_element_setting_instance2242_font_color":"#157700","all_element_setting_instance2242_font_name":"arial","all_element_setting_instance2242_font_bold":"true","all_element_setting_instance2242_font_italic":"false","all_element_setting_instance2242_width_px":"auto","all_element_setting_instance2242_height_px":"","all_element_setting_instance2242_max_width_px":"","all_element_setting_instance2242_max_height_px":"","all_element_setting_instance2242_min_width_px":"","all_element_setting_instance2242_min_height_px":"","all_element_setting_instance2242_text_align":"center","all_element_setting_instance2242_float":"left","all_element_setting_instance2242_direction":"ltr","all_element_setting_instance2242_display_block":"block","all_element_setting_instance2242_overflow_x":"not_selected","all_element_setting_instance2242_overflow_y":"not_selected","all_element_setting_instance2242_word_break":"not_selected","all_element_setting_instance2242_word_wrap":"not_selected","all_element_setting_instance2242_letter_spacing":"","all_element_setting_instance2242_word_spacing":"","all_element_setting_instance2242_z_index":"","all_element_setting_instance2242_vertical_align":"middel","all_element_setting_instance2242_margin_top":"1px","all_element_setting_instance2242_margin_bottom":"1px","all_element_setting_instance2242_margin_left":"1px","all_element_setting_instance2242_margin_right":"1px","all_element_setting_instance2242_padding_top":"","all_element_setting_instance2242_padding_bottom":"","all_element_setting_instance2242_padding_left":"","all_element_setting_instance2242_padding_right":"","all_element_setting_instance2242_border_enable":"false","all_element_setting_instance2242_border_type":"solid","all_element_setting_instance2242_border_width":"1px","all_element_setting_instance2242_border_color":"#7f7f7f","all_element_setting_instance2242_border_top_enable":"false","all_element_setting_instance2242_border_top_type":"solid","all_element_setting_instance2242_border_top_width":"2px","all_element_setting_instance2242_border_top_color":"#8224e3","all_element_setting_instance2242_border_bottom_enable":"false","all_element_setting_instance2242_border_bottom_type":"solid","all_element_setting_instance2242_border_bottom_width":"2px","all_element_setting_instance2242_border_bottom_color":"#8224e3","all_element_setting_instance2242_border_left_enable":"false","all_element_setting_instance2242_border_left_type":"solid","all_element_setting_instance2242_border_left_width":"2px","all_element_setting_instance2242_border_left_color":"#8224e3","all_element_setting_instance2242_border_right_enable":"false","all_element_setting_instance2242_border_right_type":"solid","all_element_setting_instance2242_border_right_width":"2px","all_element_setting_instance2242_border_right_color":"#8224e3","all_element_setting_instance2242_border_top_left_radius":"2px","all_element_setting_instance2242_border_top_right_radius":"2px","all_element_setting_instance2242_border_bottom_right_radius":"2px","all_element_setting_instance2242_border_bottom_left_radius":"2px","all_element_setting_instance2242_text_shadow_enable":"false","all_element_setting_instance2242_text_shadow_h_shadow":"3px","all_element_setting_instance2242_text_shadow_v_shadow":"3px","all_element_setting_instance2242_text_shadow_blur":"7px","all_element_setting_instance2242_text_shadow_color":"#7f7f7f","all_element_setting_instance2242_box_shadow_enable":"false","all_element_setting_instance2242_box_shadow_h_shadow":"3px","all_element_setting_instance2242_box_shadow_v_shadow":"3px","all_element_setting_instance2242_box_shadow_blur":"3px","all_element_setting_instance2242_box_shadow_spread":"3px","all_element_setting_instance2242_box_shadow_color":"#7f7f7f","all_element_setting_instance2242_box_shadow_direction":"outset"},"id1492198024022":{"all_element_setting_instance2242_custom_content_custom_text":"","all_element_setting_instance2242_custom_content_delimiter":"","all_element_setting_instance2242_date_format":"F j, Y","all_element_setting_instance2242_featured_image_size":"not_selected","all_element_setting_instance2242_link_this_element":"no","all_element_setting_instance2242_link_this_element_target":"_blank","all_element_setting_instance2242_term_separator":"","all_element_setting_instance2242_term_link_target":null,"all_element_setting_instance2242_background_color":"","all_element_setting_instance2242_font_size":"10px","all_element_setting_instance2242_font_color":"#020202","all_element_setting_instance2242_font_name":"arial","all_element_setting_instance2242_font_bold":"true","all_element_setting_instance2242_font_italic":"false","all_element_setting_instance2242_width_px":"auto","all_element_setting_instance2242_height_px":"","all_element_setting_instance2242_max_width_px":"","all_element_setting_instance2242_max_height_px":"","all_element_setting_instance2242_min_width_px":"","all_element_setting_instance2242_min_height_px":"","all_element_setting_instance2242_text_align":"center","all_element_setting_instance2242_float":"left","all_element_setting_instance2242_direction":"ltr","all_element_setting_instance2242_display_block":"block","all_element_setting_instance2242_overflow_x":"not_selected","all_element_setting_instance2242_overflow_y":"not_selected","all_element_setting_instance2242_word_break":"not_selected","all_element_setting_instance2242_word_wrap":"not_selected","all_element_setting_instance2242_letter_spacing":"","all_element_setting_instance2242_word_spacing":"","all_element_setting_instance2242_z_index":"","all_element_setting_instance2242_vertical_align":"middel","all_element_setting_instance2242_margin_top":"1px","all_element_setting_instance2242_margin_bottom":"1px","all_element_setting_instance2242_margin_left":"2px","all_element_setting_instance2242_margin_right":"1px","all_element_setting_instance2242_padding_top":"","all_element_setting_instance2242_padding_bottom":"","all_element_setting_instance2242_padding_left":"","all_element_setting_instance2242_padding_right":"","all_element_setting_instance2242_border_enable":"false","all_element_setting_instance2242_border_type":"solid","all_element_setting_instance2242_border_width":"1px","all_element_setting_instance2242_border_color":"#7f7f7f","all_element_setting_instance2242_border_top_enable":"false","all_element_setting_instance2242_border_top_type":"solid","all_element_setting_instance2242_border_top_width":"2px","all_element_setting_instance2242_border_top_color":"#8224e3","all_element_setting_instance2242_border_bottom_enable":"false","all_element_setting_instance2242_border_bottom_type":"solid","all_element_setting_instance2242_border_bottom_width":"2px","all_element_setting_instance2242_border_bottom_color":"#8224e3","all_element_setting_instance2242_border_left_enable":"false","all_element_setting_instance2242_border_left_type":"solid","all_element_setting_instance2242_border_left_width":"2px","all_element_setting_instance2242_border_left_color":"#8224e3","all_element_setting_instance2242_border_right_enable":"false","all_element_setting_instance2242_border_right_type":"solid","all_element_setting_instance2242_border_right_width":"2px","all_element_setting_instance2242_border_right_color":"#8224e3","all_element_setting_instance2242_border_top_left_radius":"2px","all_element_setting_instance2242_border_top_right_radius":"2px","all_element_setting_instance2242_border_bottom_right_radius":"2px","all_element_setting_instance2242_border_bottom_left_radius":"2px","all_element_setting_instance2242_text_shadow_enable":"false","all_element_setting_instance2242_text_shadow_h_shadow":"3px","all_element_setting_instance2242_text_shadow_v_shadow":"3px","all_element_setting_instance2242_text_shadow_blur":"7px","all_element_setting_instance2242_text_shadow_color":"#7f7f7f","all_element_setting_instance2242_box_shadow_enable":"false","all_element_setting_instance2242_box_shadow_h_shadow":"3px","all_element_setting_instance2242_box_shadow_v_shadow":"3px","all_element_setting_instance2242_box_shadow_blur":"3px","all_element_setting_instance2242_box_shadow_spread":"3px","all_element_setting_instance2242_box_shadow_color":"#7f7f7f","all_element_setting_instance2242_box_shadow_direction":"outset"},"id1492198071202":{"all_element_setting_instance2242_custom_content_custom_text":"","all_element_setting_instance2242_custom_content_delimiter":"","all_element_setting_instance2242_date_format":"","all_element_setting_instance2242_featured_image_size":"not_selected","all_element_setting_instance2242_link_this_element":null,"all_element_setting_instance2242_link_this_element_target":null,"all_element_setting_instance2242_term_separator":" , ","all_element_setting_instance2242_term_link_target":"_blank","all_element_setting_instance2242_background_color":"","all_element_setting_instance2242_font_size":"13px","all_element_setting_instance2242_font_color":"#dd8500","all_element_setting_instance2242_font_name":"arial","all_element_setting_instance2242_font_bold":"true","all_element_setting_instance2242_font_italic":"false","all_element_setting_instance2242_width_px":"100%","all_element_setting_instance2242_height_px":"","all_element_setting_instance2242_max_width_px":"","all_element_setting_instance2242_max_height_px":"","all_element_setting_instance2242_min_width_px":"","all_element_setting_instance2242_min_height_px":"","all_element_setting_instance2242_text_align":"center","all_element_setting_instance2242_float":"left","all_element_setting_instance2242_direction":"ltr","all_element_setting_instance2242_display_block":"block","all_element_setting_instance2242_overflow_x":"not_selected","all_element_setting_instance2242_overflow_y":"not_selected","all_element_setting_instance2242_word_break":"not_selected","all_element_setting_instance2242_word_wrap":"not_selected","all_element_setting_instance2242_letter_spacing":"","all_element_setting_instance2242_word_spacing":"","all_element_setting_instance2242_z_index":"","all_element_setting_instance2242_vertical_align":"middel","all_element_setting_instance2242_margin_top":"1px","all_element_setting_instance2242_margin_bottom":"1px","all_element_setting_instance2242_margin_left":"1px","all_element_setting_instance2242_margin_right":"1px","all_element_setting_instance2242_padding_top":"","all_element_setting_instance2242_padding_bottom":"","all_element_setting_instance2242_padding_left":"","all_element_setting_instance2242_padding_right":"","all_element_setting_instance2242_border_enable":"false","all_element_setting_instance2242_border_type":"solid","all_element_setting_instance2242_border_width":"1px","all_element_setting_instance2242_border_color":"#7f7f7f","all_element_setting_instance2242_border_top_enable":"false","all_element_setting_instance2242_border_top_type":"solid","all_element_setting_instance2242_border_top_width":"2px","all_element_setting_instance2242_border_top_color":"#8224e3","all_element_setting_instance2242_border_bottom_enable":"false","all_element_setting_instance2242_border_bottom_type":"solid","all_element_setting_instance2242_border_bottom_width":"2px","all_element_setting_instance2242_border_bottom_color":"#8224e3","all_element_setting_instance2242_border_left_enable":"false","all_element_setting_instance2242_border_left_type":"solid","all_element_setting_instance2242_border_left_width":"2px","all_element_setting_instance2242_border_left_color":"#8224e3","all_element_setting_instance2242_border_right_enable":"false","all_element_setting_instance2242_border_right_type":"solid","all_element_setting_instance2242_border_right_width":"2px","all_element_setting_instance2242_border_right_color":"#8224e3","all_element_setting_instance2242_border_top_left_radius":"2px","all_element_setting_instance2242_border_top_right_radius":"2px","all_element_setting_instance2242_border_bottom_right_radius":"2px","all_element_setting_instance2242_border_bottom_left_radius":"2px","all_element_setting_instance2242_text_shadow_enable":"false","all_element_setting_instance2242_text_shadow_h_shadow":"3px","all_element_setting_instance2242_text_shadow_v_shadow":"3px","all_element_setting_instance2242_text_shadow_blur":"7px","all_element_setting_instance2242_text_shadow_color":"#7f7f7f","all_element_setting_instance2242_box_shadow_enable":"false","all_element_setting_instance2242_box_shadow_h_shadow":"3px","all_element_setting_instance2242_box_shadow_v_shadow":"3px","all_element_setting_instance2242_box_shadow_blur":"3px","all_element_setting_instance2242_box_shadow_spread":"3px","all_element_setting_instance2242_box_shadow_color":"#7f7f7f","all_element_setting_instance2242_box_shadow_direction":"outset"}}}}';
			update_post_meta($postliststyle_post_id, 'acvc_ws_all_setting', $data);
			update_post_meta($postliststyle_post_id, 'acvc_ws_is_default', 'yes');
		}
		$html = ob_get_clean();
    }
}
if ( ! function_exists( 'acvc_ws_class_on_plugin_deactivated' ) ) {
    function acvc_ws_class_on_plugin__deactivated(){
        
    }
}

register_activation_hook( __FILE__, 'acvc_ws_class_on_plugin_activated');
register_deactivation_hook( __FILE__, 'acvc_ws_class_on_plugin__deactivated');

?>