<?php 
if ( ! defined( 'ABSPATH' ) ) exit; 

if ( ! function_exists( 'acvc_ws_list_of_the_charts_configuration_options' ) ) {
function acvc_ws_list_of_the_charts_configuration_options()
	{ 
		$list_of_the_charts_configuration_options = array(
			"pie  donut bar column line scatter area stepped" => array (
				"title" => array (
					"type" => "string",
					"default" => "",
					"default_value" => "",
					"description" => "Text to display above the chart.",
					"is_object" => "false",
					"Input_Type"  => "text",
				),		
			),
			"donut" => array (
				"pieHole" => array (
					"type" => "number",
					"default" => "0",
					"default_value" => "0.4",
					"description" => "If between 0 and 1, displays a donut chart. The hole with have a radius equal to number times the radius of the chart. ",
					"is_object" => "false",
					"Input_Type"  => "range",
				),		
			),
			"pie" => array (
				"is3D" => array (
					"type" => "boolean",
					"default" => "false",
					"default_value" => "false",
					"description" => "If true, displays a three-dimensional chart. ",
					"is_object" => "false",
					"Input_Type"  => "switch",
				),	
				"tooltip_pie" => array (
					"type" => "object",
					"description" => "",
					"is_object" => "true",
					"elements" => array (
						"text" => array (
							"type" => "string",
							"default" => "both",
							"default_value" => "both",
							"description" => " What information to display when the user hovers over a pie slice. The following values are supported:  'both' - [Default] Display both the absolute value of the slice and the percentage of the whole.  'value' - Display only the absolute value of the slice. 'percentage' - Display only the percentage of the whole represented by the slice.",
							"is_object" => "false",
							"Input_Type"  => "select",
							"available_values" => array (
								"both" => "both",
								"value" => "value",
								"percentage" => "percentage",
							),
						),
					),
				),	
			),
			"stepped" => array (
				"connectSteps" => array (
					"type" => "boolean",
					"default" => "true",
					"default_value" => "true",
					"description" => "If set to true, will connect the steps to form a stepped line. Otherwise, only a top line appears. The default is to connect the steps. ",
					"is_object" => "false",
					"Input_Type"  => "switch",
				),	
			),
			"area stepped" => array (
				"areaOpacity" => array (
					"type" => "number",
					"default" => "0.3",
					"default_value" => "0.3",
					"description" => " The default opacity of the colored area under an area chart series, where 0.0 is fully transparent and 1.0 is fully opaque. To specify opacity for an individual series, set the areaOpacity value in the series property. ",
					"is_object" => "false",
					"Input_Type"  => "range",
				),
					
			),
			"line  area" => array (
				"lineWidth" => array (
					"type" => "number",
					"default" => "2",
					"default_value" => "2",
					"description" => "Data line width in pixels. Use zero to hide all lines and show only the points. You can override values for individual series using the series property. ",
					"is_object" => "false",
					"Input_Type"  => "range",
				),	
			),
			"pie donut" => array (
				"pieSliceText" => array (
					"type" => "string",
					"default" => "percentage",
					"default_value" => "percentage",
					"description" => "The content of the text displayed on the slice. Can be one of the following:'percentage' - The percentage of the slice size out of the total. 'value' - The quantitative value of the slice. 'label' - The name of the slice. 'none' - No text is displayed.",
					"is_object" => "false",
					"Input_Type"  => "select",
					"available_values" => array (
						"percentage" => "percentage",
						"value" => "value",
						"label" => "label",
						"none" => "none",
					),
				),
				"pieStartAngle" => array (
					"type" => "number",
					"default" => "0",
					"default_value" => "0",
					"description" => "The angle, in degrees, to rotate the chart by. The default of 0 will orient the leftmost edge of the first slice directly up. ",
					"is_object" => "false",
					"Input_Type"  => "range",
				),
				"pieResidueSliceColor" => array (
					"type" => "string",
					"default" => "#ccc",
					"default_value" => "#ccc",
					"description" => "Color for the combination slice that holds all slices below sliceVisibilityThreshold.",
					"is_object" => "false",
					"Input_Type"  => "color",
				),
				"pieResidueSliceLabel" => array (
					"type" => "string",
					"default" => "Other",
					"default_value" => "Other",
					"description" => " 	A label for the combination slice that holds all slices below sliceVisibilityThreshold. ",
					"is_object" => "false",
					"Input_Type"  => "text",
				),
				"pieSliceTextStyle" => array (
					"type" => "object",
					"default" => " {color: <string>, fontName: <string>, fontSize: <number>} ",
					"description" => "",
					"is_object" => "true",
					"elements" => array (
						"color" => array (
							"type" => "string",
							"default" => "black",
							"default_value" => "#000000",
							"description" => "The color can be any HTML color string, for example: 'red' or '#00cc00'",
							"is_object" => "false",
							"Input_Type"  => "color",
						),
						"fontName" => array (
							"type" => "string",
							"default" => "<global-font-name>",
							"default_value" => "do_not_use",
							"description" => "The fontName of the slice text  ",
							"is_object" => "false",
							"Input_Type"  => "text",
						),
						"fontSize" => array (
							"type" => "number",
							"default" => "<global-font-size>",
							"default_value" => "do_not_use",
							"description" => "The fontSize of the slice text  ",
							"is_object" => "false",
							"Input_Type"  => "number",
						),
					),
				),
						
			),
			"line scatter area" => array (
				"curveType"=> array (
					"type" => "string",
					"default" => "none",
					"default_value" => "none",
					"description" => "Controls the curve of the lines when the line width is not zero. Can be one of the following:   'none' - Straight lines without curve.   'function' - The angles of the line will be smoothed.",
					"is_object" => "false",
					"Input_Type"  => "select",
					"available_values" => array (
						"none" => "none",
						"function" => "function",
					),
				),
				"orientation"=> array (
					"type" => "string",
					"default" => "horizontal",
					"default_value" => "horizontal",
					"description" => "The orientation of the chart. When set to 'vertical', rotates the axes of the chart so that (for instance) a column chart becomes a bar chart, and an area chart grows rightward instead of up",
					"is_object" => "false",
					"Input_Type"  => "select",
					"available_values" => array (
						"horizontal" => "horizontal",
						"vertical" => "vertical",
					),
				),
				"pointShape"=> array (
					"type" => "string",
					"default" => "circle",
					"default_value" => "circle",
					"description" => "The shape of individual data elements: 'circle', 'triangle', 'square', 'diamond', 'star', or 'polygon'. See the points documentation for examples. ",
					"is_object" => "false",
					"Input_Type"  => "select",
					"available_values" => array (
						"circle" => "circle",
						"triangle" => "triangle",
						"square" => "square",
						"diamond" => "diamond",
						"star" => "star",
						"polygon" => "polygon",
					),
				),
				"pointSize"=> array (
					"type" => "number",
					"default" => "0",
					"default_value" => "0",
					"description" => " Diameter of displayed points in pixels. Use zero to hide all points. You can override values for individual series using the series property. If you're using a trendline, the pointSize option will affect the width of the trendline unless you override it with the trendlines.n.pointsize option. ",
					"is_object" => "false",
					"Input_Type"  => "number",
				),
				"pointsVisible"=> array (
					"type" => "boolean",
					"default" => "true",
					"default_value" => "true",
					"description" => "Determines whether points will be displayed. Set to false to hide all points. You can override values for individual series using the series property. If you're using a trendline, the pointsVisible option will affect the visibility of the points on all trendlines unless you override it with the trendlines.n.pointsVisible option. ",
					"is_object" => "false",
					"Input_Type"  => "switch",
				),
				"crosshair"=> array (
					"type" => "object",
					"description" => "",
					"is_object" => "true",
					"elements" => array (
						"trigger" => array (
							"type" => "string",
							"default" => "both",
							"default_value" => "both",
							"description" => "When to display crosshairs: on 'focus', 'selection', or 'both'. ",
							"is_object" => "false",
							"Input_Type"  => "select",
							"available_values" => array (
								"both" => "both",
								"focus" => "focus",
								"both" => "both",
							),
						),
						"focused"=> array (
							"type" => "",
							"description" => "",
							"is_object" => "true",
							"elements" => array (
								"color" => array (
									"type" => "string",
									"default" => "null",
									"default_value" => "do_not_use",
									"description" => "The crosshair color upon focus.",
									"is_object" => "false",
									"Input_Type"  => "color",
								),
								"opacity" => array (
									"type" => "number",
									"default" => "1.0",
									"default_value" => "1.0",
									"description" => "The crosshair opacity, with 0.0 being fully transparent and 1.0 fully opaque. ",
									"is_object" => "false",
									"Input_Type"  => "range",
								),
								"orientation" => array (
									"type" => "string",
									"default" => "both",
									"default_value" => "both",
									"description" => "The crosshair orientation, which can be 'vertical' for vertical hairs only, 'horizontal' for horizontal hairs only, or 'both' for traditional crosshairs.",
									"is_object" => "false",
									"Input_Type"  => "select",
									"available_values" => array (
										"both" => "both",
										"vertical" => "vertical",
										"horizontal" => "horizontal",
									),
								),
							),
						),
						"selected"=> array (
							"type" => "",
							"description" => "",
							"is_object" => "true",
							"elements" => array (
								"color" => array (
									"type" => "string",
									"default" => "null",
									"default_value" => "do_not_use",
									"description" => "The crosshair color upon select.",
									"is_object" => "false",
									"Input_Type"  => "color",
								),
								"opacity" => array (
									"type" => "number",
									"default" => "1.0",
									"default_value" => "1.0",
									"description" => "The crosshair opacity, with 0.0 being fully transparent and 1.0 fully opaque. ",
									"is_object" => "false",
									"Input_Type"  => "range",
								),
								"orientation" => array (
									"type" => "string",
									"default" => "both",
									"default_value" => "both",
									"description" => "The crosshair orientation, which can be 'vertical' for vertical hairs only, 'horizontal' for horizontal hairs only, or 'both' for traditional crosshairs.",
									"is_object" => "false",
									"Input_Type"  => "select",
									"available_values" => array (
										"both" => "both",
										"vertical" => "vertical",
										"horizontal" => "horizontal",
									),
								),
							),
						),
					),
				),	
			),
			"bar column line scatter" => array (
				"trendlines"=> array (
					"type" => "",
					"description" => "",
					"is_object" => "true",
					"elements" => array (
						"type" => array (
							"type" => "string",
							"default" => "linear",
							"default_value" => "linear",
							"description" => "Whether the trendlines is 'linear' (the default), 'exponential', or 'polynomial'. ",
							"is_object" => "false",
							"Input_Type"  => "select",
							"available_values" => array (
								"linear" => "linear",
								"exponential" => "exponential",
								"polynomial" => "polynomial",
							),
						),
						"color" => array (
							"type" => "string",
							"default" => "default series color",
							"default_value" => "do_not_use",
							"description" => "The color of the trendline , expressed as either an English color name or a hex string. ",
							"is_object" => "false",
							"Input_Type"  => "color",
						),
						"lineWidth" => array (
							"type" => "number",
							"default" => "2",
							"default_value" => "",
							"description" => "The line width of the trendline , in pixels. ",
							"is_object" => "false",
							"Input_Type"  => "number",
						),
						"opacity" => array (
							"type" => "number",
							"default" => "1.0",
							"default_value" => "1.0",
							"description" => "The transparency of the trendline , from 0.0 (transparent) to 1.0 (opaque). ",
							"is_object" => "false",
							"Input_Type"  => "range",
						),
						"showR2" => array (
							"type" => "boolean",
							"default" => "false",
							"default_value" => "false",
							"description" => "Whether to show the coefficient of determination in the legend or trendline tooltip. ",
							"is_object" => "false",
							"Input_Type"  => "switch",
						),
						"visibleInLegend" => array (
							"type" => "boolean",
							"default" => "false",
							"default_value" => "false",
							"description" => "Whether the trendline equation appears in the legend. (It will appear in the trendline tooltip.)",
							"is_object" => "false",
							"Input_Type"  => "switch",
						),
						"degree" => array (
							"type" => "number",
							"default" => "3",
							"default_value" => "3",
							"description" => "For trendlines of type: 'polynomial', the degree of the polynomial (2 for quadratic, 3 for cubic, and so on). (The default degree may change from 3 to 2 in an upcoming release of Google Charts.) ",
							"is_object" => "false",
							"Input_Type"  => "text",
						),
						"pointSize" => array (
							"type" => "number",
							"default" => "1",
							"default_value" => "1",
							"description" => "Trendlines are constucted by stamping a bunch of dots on the chart; this rarely-needed option lets you customize the size of the dots. The trendline's lineWidth option will usually be preferable. However, you'll need this option if you're using the global pointSize option and want a different point size for your trendlines. ",
							"is_object" => "false",
							"Input_Type"  => "number",
						),
						"pointsVisible" => array (
							"type" => "boolean",
							"default" => "true",
							"default_value" => "true",
							"description" => "Trendlines are constucted by stamping a bunch of dots on the chart. The trendline's pointsVisible option determines whether the points for a particular trendline are visible.",
							"is_object" => "false",
							"Input_Type"  => "switch",
						),
					),
				),	
			),
			"bar column line scatter area" => array (
				"dataOpacity"=> array (
					"type" => "number",
					"default" => "1.0",
					"default_value" => "1.0",
					"description" => "The transparency of data points, with 1.0 being completely opaque and 0.0 fully transparent. In scatter, histogram, bar, and column charts, this refers to the visible data: dots in the scatter chart and rectangles in the others. In charts where selecting data creates a dot, such as the line and area charts, this refers to the circles that appear upon hover or selection. The combo chart exhibits both behaviors, and this option has no effect on other charts. (To change the opacity of a trendline, see trendline opacity .) ",
					"is_object" => "false",
					"Input_Type"  => "range",
				),
				"animation"=> array (
					"type" => "",
					"description" => "",
					"is_object" => "true",
					"elements" => array (
						"duration" => array (
							"type" => "number",
							"default" => "0",
							"default_value" => "0",
							"description" => "The duration of the animation, in milliseconds. ",
							"is_object" => "false",
							"Input_Type"  => "number",
						),
						"easing" => array (
							"type" => "string",
							"default" => "linear",
							"default_value" => "linear",
							"description" => "The easing function applied to the animation. The following options are available:'linear' - Constant speed.'in' - Ease in - Start slow and speed up.'out' - Ease out - Start fast and slow down.'inAndOut' - Ease in and out - Start slow, speed up, then slow down.",
							"is_object" => "false",
							"Input_Type"  => "select",
							"available_values" => array (
								"linear" => "linear",
								"in" => "in",
								"out" => "out",
								"inAndOut" => "inAndOut",
							),
						),
						"startup" => array (
							"type" => "boolean",
							"default" => "false",
							"default_value" => "false",
							"description" => "Determines if the chart will animate on the initial draw. If true, the chart will start at the baseline and animate to its final state. ",
							"is_object" => "false",
							"Input_Type"  => "switch",
						),
					),
				),
				"annotations"=> array (
					"type" => "",
					"default" => "",
					"description" => "",
					"is_object" => "true",
					"elements" => array (
						"alwaysOutside" => array (
							"type" => "boolean",
							"default" => "false",
							"default_value" => "false",
							"description" => "In Bar and Column charts, if set to true, draws all annotations outside of the Bar/Column. ",
							"is_object" => "false",
							"Input_Type"  => "switch",
						),
						"highContrast" => array (
							"type" => "boolean",
							"default" => "true",
							"default_value" => "true",
							"description" => "the annotations.highContrast boolean lets you override Google Charts' choice of the annotation color. By default, annotations.highContrast is true, which causes Charts to select an annotation color with good contrast: light colors on dark backgrounds, and dark on light. If you set annotations.highContrast to false and don't specify your own annotation color, Google Charts will use the default series color for the annotation",
							"is_object" => "false",
							"Input_Type"  => "switch",
						),
						"style" => array (
							"type" => "string",
							"default" => "point",
							"default_value" => "point",
							"description" => "the annotations.style option lets you override Google Charts' choice of the annotation type. It can be either 'line' or 'point'. ",
							"is_object" => "false",
							"Input_Type"  => "select",
							"available_values" => array (
								"point" => "point",
								"line" => "line",
							),
						),
						"textStyle" => array (
							"type" => "",
							"description" => "",
							"is_object" => "true",
							"elements" => array (
								"fontName" => array (
									"type" => "string",
									"default" => "null",
									"default_value" => "do_not_use",
									"description" => "",
									"is_object" => "false",
									"Input_Type"  => "text",
								),
								"fontSize" => array (
									"type" => "number",
									"default" => "null",
									"default_value" => "do_not_use",
									"description" => "",
									"is_object" => "false",
									"Input_Type"  => "number",
								),
								"bold" => array (
									"type" => "boolean",
									"default" => "null",
									"default_value" => "do_not_use",
									"description" => "",
									"is_object" => "false",
									"Input_Type"  => "switch",
								),
								"italic" => array (
									"type" => "boolean",
									"default" => "null",
									"default_value" => "do_not_use",
									"description" => "",
									"is_object" => "false",
									"Input_Type"  => "switch",
								),
								"color" => array (
									"type" => "string",
									"default" => "null",
									"default_value" => "do_not_use",
									"description" => "The color of the text",
									"is_object" => "false",
									"Input_Type"  => "color",
								),
								"auraColor" => array (
									"type" => "string",
									"default" => "null",
									"default_value" => "do_not_use",
									"description" => "The color of the text outline.",
									"is_object" => "false",
									"Input_Type"  => "color",
								),
								"opacity" => array (
									"type" => "number",
									"default" => "null",
									"default_value" => "do_not_use",
									"description" => "The transparency of the text.",
									"is_object" => "false",
									"Input_Type"  => "range",
								),
							),
						),
					),
				),
				
			),
			"bar column line scatter area stepped" => array (
				"axisTitlesPosition"=> array (
					"type" => "string",
					"default" => "out",
					"default_value" => "out",
					"description" => "Where to place the axis titles, compared to the chart area. Supported values:in - Draw the axis titles inside the the chart area.out - Draw the axis titles outside the chart area. none - Omit the axis titles.",
					"is_object" => "false",
					"Input_Type"  => "select",
					"available_values" => array (
						"out" => "out",
						"in" => "in",
						"none" => "none",
					),
				),
				"titlePosition"=> array (
					"type" => "string",
					"default" => "out",
					"default_value" => "out",
					"description" => " Where to place the chart title, compared to the chart area. Supported values: in - Draw the title inside the chart area. out - Draw the title outside the chart area. none - Omit the title.",
					"is_object" => "false",
					"Input_Type"  => "select",
					"available_values" => array (
						"out" => "out",
						"in" => "in",
						"none" => "none",
					),
				),	
			),
			"donut bar column line scatter area stepped pie" => array (
				"fontSize" => array (
					"type" => "number",
					"default" => "automatic",
					"default_value" => "do_not_use",
					"description" => "The default font size, in pixels, of all text in the chart. You can override this using properties for specific chart elements.",
					"is_object" => "false",
					"Input_Type"  => "number",
				),
				"fontName" => array (
					"type" => "string",
					"default" => "Arial",
					"default_value" => "Arial",
					"description" => "The default font face for all text in the chart. You can override this using properties for specific chart elements. ",
					"is_object" => "false",
					"Input_Type"  => "text",
				),
				"forceIFrame" => array (
					"type" => "boolean",
					"default" => "false",
					"default_value" => "false",
					"description" => "Draws the chart inside an inline frame. (Note that on IE8, this option is ignored; all IE8 charts are drawn in i-frames.) ",
					"is_object" => "false",
					"Input_Type"  => "switch",
				),
				"height" => array (
					"type" => "number",
					"default" => "height of the containing element",
					"default_value" => "do_not_use",
					"description" => "Height of the chart, in pixels.",
					"is_object" => "false",
					"Input_Type"  => "text",
				),
				"width" => array (
					"type" => "number",
					"default" => "width of the containing element",
					"default_value" => "do_not_use",
					"description" => "Width of the chart, in pixels.",
					"is_object" => "false",
					"Input_Type"  => "text",
				),
				"reverseCategories" => array (
					"type" => "boolean",
					"default" => "false",
					"default_value" => "false",
					"description" => "If true, draws slices counterclockwise. The default is to draw clockwise.",
					"is_object" => "false",
					"Input_Type"  => "switch",
				),
				"titleTextStyle" => array (
					"type" => "object",
					"description" => "",
					"is_object" => "true",
					"elements" => array (
						"color" => array (
							"type" => "string",
							"default" => "black",
							"default_value" => "#000000",
							"description" => "The color can be any HTML color string, for example: 'red' or '#00cc00'",
							"is_object" => "false",
							"Input_Type"  => "color",
						),
						"fontName" => array (
							"type" => "string",
							"default" => "<global-font-name>",
							"default_value" => "do_not_use",
							"description" => "The fontName of the chart title ",
							"is_object" => "false",
							"Input_Type"  => "text",
						),
						"fontSize" => array (
							"type" => "number",
							"default" => "<global-font-size>",
							"default_value" => "do_not_use",
							"description" => "The fontSize of the chart title ",
							"is_object" => "false",
							"Input_Type"  => "number",
						),
						"bold" => array (
							"type" => "boolean",
							"default" => "null",
							"default_value" => "do_not_use",
							"description" => "bold or normal ? ",
							"is_object" => "false",
							"Input_Type"  => "switch",
						),
						"italic" => array (
							"type" => "boolean",
							"default" => "null",
							"default_value" => "do_not_use",
							"description" => "italic or normal ? ",
							"is_object" => "false",
							"Input_Type"  => "switch",
						),
					),
				),
				"backgroundColor" => array (
					"type" => "",
					"description" => "",
					"is_object" => "true",
					"elements" => array (
						"stroke" => array (
							"type" => "string",
							"default" => "#666",
							"default_value" => "#666",
							"description" => "The color of the chart border, as an HTML color string.",
							"is_object" => "false",
							"Input_Type"  => "color",
						),
						"strokeWidth" => array (
							"type" => "number",
							"default" => "0",
							"default_value" => "0",
							"description" => "The border width, in pixels.",
							"is_object" => "false",
							"Input_Type"  => "number",
						),
						"fill" => array (
							"type" => "string",
							"default" => "white",
							"default_value" => "white",
							"description" => "The background color can be any HTML color string, for example: 'red' or '#00cc00'",
							"is_object" => "false",
							"Input_Type"  => "color",
						),
					),
				),
				"chartArea" => array (
					"type" => "object",
					"description" => "",
					"is_object" => "true",
					"elements" => array (
						"width" => array (
							"type" => "number or string",
							"default" => "auto",
							"default_value" => "do_not_use",
							"description" => "Two formats are supported: a number, or a number followed by %. A simple number is a value in pixels; a number followed by % is a percentage.",
							"is_object" => "false",
							"Input_Type"  => "text",
						),
						"height" => array (
							"type" => "number or string",
							"default" => "auto",
							"default_value" => "do_not_use",
							"description" => "Two formats are supported: a number, or a number followed by %. A simple number is a value in pixels; a number followed by % is a percentage.",
							"is_object" => "false",
							"Input_Type"  => "text",
						),
					),
				),
				"legend" => array (
					"type" => "",
					"description" => "",
					"is_object" => "true",
					"elements" => array (
						"position" => array (
							"type" => "string",
							"default" => "right",
							"default_value" => "right",
							"description" => "Position of the legend. Can be one of the following:'bottom' - Displays the legend below the chart, 'labeled' - Draws lines connecting slices to their data values,'left' - Displays the legend left of the chart,'none' - Displays no legend,'right' - Displays the legend right of the chart,'top' - Displays the legend above the chart.",
							"is_object" => "false",
							"Input_Type"  => "select",
							"available_values" => array (
								"right" => "right",
								"left" => "left",
								"top" => "top",
								"bottom" => "bottom",
								"labeled" => "labeled",
							),
						),
						"alignment" => array (
							"type" => "string",
							"default" => "automatic",
							"default_value" => "do_not_use",
							"description" => "Alignment of the legend. Can be one of the following:'start' - Aligned to the start of the area allocated for the legend.'center' - Centered in the area allocated for the legend.'end' - Aligned to the end of the area allocated for the legend.Start, center, and end are relative to the style -- vertical or horizontal -- of the legend. For example, in a 'right' legend, 'start' and 'end' are at the top and bottom, respectively; for a 'top' legend, 'start' and 'end' would be at the left and right of the area, respectively.The default value depends on the legend's position. For 'bottom' legends, the default is 'center'; other legends default to 'start'. ",
							"is_object" => "false",
							"Input_Type"  => "select",
							"available_values" => array (
								"automatic" => "automatic",
								"start" => "start",
								"center" => "center",
								"end" => "end",
							),
						),
						"textStyle" => array (
							"type" => "",
							"description" => "",
							"is_object" => "true",
							"elements" => array (
								"color" => array (
									"type" => "string",
									"default" => "black",
									"default_value" => "#000000",
									"description" => "The color can be any HTML color string, for example: 'red' or '#00cc00'",
									"is_object" => "false",
									"Input_Type"  => "color",
								),
								"fontName" => array (
									"type" => "string",
									"default" => "<global-font-name>",
									"default_value" => "do_not_use",
									"description" => "The fontName of the chart legend ",
									"is_object" => "false",
									"Input_Type"  => "text",
								),
								"fontSize" => array (
									"type" => "number",
									"default" => "<global-font-size>",
									"default_value" => "do_not_use",
									"description" => "The fontSize of the chart legend ",
									"is_object" => "false",
									"Input_Type"  => "number",
								),
								"bold" => array (
									"type" => "boolean",
									"default" => "null",
									"default_value" => "do_not_use",
									"description" => "bold or normal ? ",
									"is_object" => "false",
									"Input_Type"  => "switch",
								),
								"italic" => array (
									"type" => "boolean",
									"default" => "null",
									"default_value" => "do_not_use",
									"description" => "italic or normal ? ",
									"is_object" => "false",
									"Input_Type"  => "switch",
								),
							),
						),
					),
				),
				"tooltip" => array (
					"type" => "",
					"description" => "",
					"is_object" => "true",
					"elements" => array (
						"ignoreBounds" => array (
							"type" => "boolean",
							"default" => "false",
							"default_value" => "false",
							"description" => " If set to true, allows the drawing of tooltips to flow outside of the bounds of the chart on all sides.Note: This only applies to HTML tooltips. If this is enabled with SVG tooltips, any overflow outside of the chart bounds will be cropped.",
							"is_object" => "false",
							"Input_Type"  => "switch",
						),
						"showColorCode" => array (
							"type" => "boolean",
							"default" => "automatic",
							"default_value" => "do_not_use",
							"description" => "If true, show colored squares next to the series information in the tooltip. The default is true when focusTarget is set to 'category', otherwise the default is false. ",
							"is_object" => "false",
							"Input_Type"  => "multi_switch",
						),
						"textStyle" => array (
							"type" => "",
							"description" => "",
							"is_object" => "true",
							"elements" => array (
								"color" => array (
									"type" => "string",
									"default" => "black",
									"default_value" => "#000000",
									"description" => "The color can be any HTML color string, for example: 'red' or '#00cc00'",
									"is_object" => "false",
									"Input_Type"  => "color",
								),
								"fontName" => array (
									"type" => "string",
									"default" => "<global-font-name>",
									"default_value" => "do_not_use",
									"description" => "The fontName of the chart tooltip ",
									"is_object" => "false",
									"Input_Type"  => "text",
								),
								"fontSize" => array (
									"type" => "number",
									"default" => "<global-font-size>",
									"default_value" => "do_not_use",
									"description" => "The fontSize of the chart tooltip ",
									"is_object" => "false",
									"Input_Type"  => "number",
								),
								"bold" => array (
									"type" => "boolean",
									"default" => "null",
									"default_value" => "do_not_use",
									"description" => "bold or normal ? ",
									"is_object" => "false",
									"Input_Type"  => "switch",
								),
								"italic" => array (
									"type" => "boolean",
									"default" => "null",
									"default_value" => "do_not_use",
									"description" => "italic or normal ? ",
									"is_object" => "false",
									"Input_Type"  => "switch",
								),
							),
						),
					),
				),
			),
		);
	 }
}


?>